MEINPROC5(1)

NAMN
meinproc5 - KDE:s översättare av XML

ÖVERSIKT

meinproc5 [-h, --help] [-v, --version] [--cache fil] [--check] [--srcdir katalog] [--param nyckel=värde] [[[-o] | [--output]] fil] [--stdout] [--stylesheet xsl] docbook-fil

BESKRIVNING

meinproc5 konverterar DocBook-filer till HTML.

ALLMÄNNA VÄLJARE

-h--help
    Visa hjälp om väljare.

-v--version
    Visa versionsinformation

PROGRAMVÄLJARE

--cache fil
    Skapa en cachefil för dokumentet

--check
    Kontrollera att dokumentet är giltigt

        Utmatningen kan vara något skrämmande, eftersom ett litet misstag kan orsaka en kaskad av fel.
        Knepet är att titta på det första felet, rätta det, spara filen och köra meinproc5 igen.

-o, --output fil
    Skriv ut hela dokumentet i fil.

--stdout
    Skriv ut hela dokumentet på standardutmatningen.

--stylesheet xsl
    Stilmall att använda

--srcdir kat
    Ställ in rotkatalogen för att leta efter kdoctools

--param nyckel=värde
    Ställ in parametrar att skicka till stilmallen.

ANVÄNDNING

Det vanligaste sättet att köra meinproc5 är helt enkelt som

    meinproc5 docbook-fil

där docbook-fil oftast är index.docbook. Kommandot skapar HTML-sidor från DocBook-filen. Observera att sidorna bara går att titta på i KDE-baserade webbläsare (som Konqueror).

Om du behöver visa HTML-utmatningen i en annan webbläsare (om du till exempel gör den direkt tillgänglig på nätet), använd

    meinproc5 --stylesheet stilmallsnamn docbook-fil

där stilmallsnamn är den fullständiga sökvägen till en av XSL-stilmallarna i <kdoctools_installation_prefix>/share/kf5/kdoctools/customization/. För att skapa utmatning lämplig för webben, kan du använda kde-web.xsl eller kde-chunk-online.xsl. Se filen README i den katalogen för mer detaljerad information.

SE OCKSÅ

kf5options(7), qt5options(7)

FEL

Använd KDE:s felspårningssystem[1] för att rapportera fel.

NOTER

1.  KDE:s felspårningssystem
    https://bugs.kde.org